<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.business.mapper.DatumPointMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="DatumPointResultMap" type="org.springblade.business.entity.DatumPoint">
        <result column="id" property="id"/>
        <result column="createUser" property="create_user"/>
        <result column="createDept" property="create_dept"/>
        <result column="createTime" property="create_time"/>
        <result column="updateUser" property="update_user"/>
        <result column="updateTime" property="update_time"/>
        <result column="status" property="status"/>
        <result column="isDeleted" property="is_deleted"/>
        <result column="tenantId" property="tenant_id"/>
        <result column="name" property="name"/>
        <result column="x" property="x"/>
        <result column="y" property="y"/>
        <result column="h" property="h"/>
        <result column="level" property="level"/>
        <result column="remark" property="remark"/>
        <result column="type" property="type"/>
        <result column="projectId" property="project_id"/>
        <result column="contractId" property="contract_id"/>
    </resultMap>




</mapper>
